Name:    liveice
Version: sn04
Release: 2%{?dist}
Summary: An icecast client to broadcast live audio, rather than prerecorded mp3's
License: GPLv2 
Group:   Applications/Multimedia
Url:     https://sourceforge.net/projects/liveice/
Source0: http://downloads.sourceforge.net/liveice/%{name}-%{version}.tar.gz
Source1: liveice_doc.tar.gz
Source2: liveice.cfg
Patch0:  liveice-megaloman.patch
Patch1:  liveice-20000530-lns.patch
Patch2:  liveice-20000530-lame3_lowrates.patch
Patch3:  liveice-20000530-cleanup.patch
Patch4:  liveice-sn04-big_endian.patch
Patch5:  liveice-sn04-interface.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ncurses-devel
Requires: lame, mpg123, ncurses, tclx

%description
LiveIce is a live streaming program that allows input either from your
soundcard's line in or from mp3 files to be mixed and re-encoded and then
streamed to an icecast server.  This means that you can use liveice with
your microphone and do live audio broadcasts, or even use a mp3 playlist
and use the multi channel support to speed up, slow down, adjust volumes,
and mix between the two channels, and then re-encode the data at a lower
bitrate to be sent out to an icecast server.

%prep
%setup -q -a1
%patch0 -p1 -b .liveice-megaloman
%patch1 -p1 -b .liveice-20000530-lns
%patch2 -p1 -b .liveice-20000530-lame3_lowrates
%patch3 -p1 -b .liveice-20000530-cleanup
%patch4 -p1 -b .liveice-sn04-big_endian
%patch5 -p1 -b .liveice-sn04-interface

cp %{SOURCE2} %{_builddir}/%{name}-sn04/%{name}.cfg

%build
%configure
make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}

make install DESTDIR=%{buildroot} \
	bindir=%{_bindir} \
	etcdir=%{_sysconfdir} \
	logdir=%{_localstatedir}/log

%clean
rm -r %{buildroot}

%files 
%defattr(-,root,root)
%doc README* Changes.txt doc/*
%{_bindir}/%{name}
%{_bindir}/liveiceconfigure.tk
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}.cfg

%changelog
* Fri Jun 12 2009 Paulo Roma <roma@lcg.ufrj.br> sn04-2
- rebuild for Fedora 10
- no longer stripping binary.
- added BR ncurses-devel.
- added Requires lame.
- fixed URL.
- changed login default type to HTTP_LOGIN.
- patched for using big endian (lame).
- patched interface for having HTTP_LOGIN.

* Mon Jan 15 2007 Paulo Roma <roma@lcg.ufrj.br> sn04-1
- rebuild for Fedora 6
- improved the spec file.

* Fri Sep  2 2005 Peter Hanecak <hanecak@megaloman.sk> 20000530-5
- rebuild for Doors 8.0 (FC4)
- fixed %%file attributes for liveice.cfg

* Tue Sep  7 2004 Peter Hanecak <hanecak@megaloman.sk> 20000530-4

* Sun Sep 22 2002 Peter Hanecak <hanecak@megaloman.sk> 20000530-3
- do not disable low bitrates for new lame3
- little clean up

* Tue Dec  4 2001 Peter Hanecak <hanecak@megaloman.sk>
- updated to current snapshot: 20000530
- %%{_tmppath} used
- s/Copyright/License
- updated lame-no-status patch

* Mon May 22 2000 Peter Hanecak <hanecak@megaloman.sk>
- initial spec derived from icecast spec
- makefile patch
- lame-no-status patch
